import * as Konva from "konva";
import { IThisParam, R2dObject } from "./R2dObject";
export interface IImage {
    width?: number;
    height?: number;
    border?: number;
    borderColor?: string;
    opacity?: number;
}
export declare type IImageSync = IImage & {
    image: HTMLImageElement;
};
export declare type IImageAsync = IImage & {
    imageURL: string;
};
export interface IImageAsyncReturnSuccess {
    image: ImageObject;
}
export declare class ImageObject extends R2dObject {
    readonly identifier = "image";
    constructor(args: Konva.ImageConfig, thisParam: IThisParam);
    updateAppearance(args: Partial<IImage>): void;
}
export declare function imageSync(this: IThisParam, args: IImageSync): ImageObject;
export declare function imageAsync(this: {
    layer: Konva.Layer;
}, args: IImageAsync): Promise<IImageAsyncReturnSuccess>;
