import * as Konva from "konva";
import { IThisParam, R2dObject } from "./R2dObject";
export interface IPolygon {
    color: string;
    border?: number;
    borderColor?: string;
    opacity?: number;
}
export declare class PolygonObject extends R2dObject {
    readonly identifier = "polygon";
    constructor(args: Konva.ShapeConfig, thisParam: IThisParam);
    updateAppearance(args: Partial<IPolygon>): void;
}
declare function polygon(this: IThisParam, args: IPolygon & {
    points: Array<{
        x: number;
        y: number;
    }>;
}): PolygonObject;
export default polygon;
