import * as Konva from "konva";
import { IRosBridgeURL } from "./index";
import { PolygonObject } from "./helpers/polygon";
import { RectangleObject } from "./helpers/rectangle";
import { ImageObject } from "./helpers/image";
import { ArrowObject } from "./helpers/arrow";
import { CircleObject } from "./helpers/circle";
import { R2dObject } from "./helpers/R2dObject";
export declare const getContainerDimensions: (container: HTMLElement) => {
    width: number;
    height: number;
};
export declare const zoomStage: (container: HTMLElement, stage: Konva.Stage, scaleBy: number) => void;
export declare class ZoomControl {
    private readonly stage;
    private lastDist;
    constructor(stage: Konva.Stage);
    handleWheelZoom(element: HTMLElement, scaleBy: number): void;
    handleTouchZoom(): void;
}
export declare const isRosBridgeURL: (object: IRosBridgeURL | import("roslib").Ros) => object is IRosBridgeURL;
export declare const isObjectRectangle: (object: R2dObject) => object is RectangleObject;
export declare const isObjectImage: (object: R2dObject) => object is ImageObject;
export declare const isPolygonObject: (object: R2dObject) => object is PolygonObject;
export declare const isArrowObject: (object: R2dObject) => object is ArrowObject;
export declare const isCircleObject: (object: R2dObject) => object is CircleObject;
export declare const quaternionToEulerAngle: ({ w, x, y, z }: {
    w: number;
    x: number;
    y: number;
    z: number;
}) => {
    alpha: number;
    beta: number;
    gamma: number;
};
export declare const animateToPoint: (object: Konva.Shape, x: number, y: number) => void;
export declare const listenForContainerResize: (previousDimensions: {
    width: number;
    height: number;
}, container: HTMLElement, callback: (newDimensions: {
    width: number;
    height: number;
}) => void) => void;
